API ReferenceAgentsRuns
List Runs
Retrieve all runs for a workflow
Returns all runs for the given workflow, including both test runs and live call runs.
Path Parameters
workflow_id*Workflow Id
Query Parameters
page?Page
Page number (starts from 1)
Range
1 <= valueDefault
1limit?Limit
Number of items per page
Range
1 <= value <= 100Default
50filters?|
JSON-encoded filter criteria
sort_by?|
Field to sort by (e.g., 'duration', 'created_at')
sort_order?|
Sort order ('asc' or 'desc')
Default
"desc"Header Parameters
X-API-Key?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/workflow/0/runs"{ "runs": [ { "id": 0, "workflow_id": 0, "name": "string", "mode": "string", "created_at": "2019-08-24T14:15:22Z", "is_completed": true, "transcript_url": "string", "recording_url": "string", "user_recording_url": "string", "bot_recording_url": "string", "transcript_public_url": "string", "recording_public_url": "string", "user_recording_public_url": "string", "bot_recording_public_url": "string", "public_access_token": "string", "cost_info": {}, "usage_info": {}, "definition_id": 0, "initial_context": {}, "gathered_context": {}, "call_type": "inbound", "logs": {}, "annotations": {} } ], "total_count": 0, "page": 0, "limit": 0, "total_pages": 0, "applied_filters": [ {} ]}